package com.qmth.themis.business.bean.admin;

import com.qmth.themis.business.enums.ExamModeEnum;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("开放接口-考试详情")
public class OpenExamBean {

	@ApiModelProperty(name = "考试id")
    private Long id;

	@ApiModelProperty(value = "考试code")
    private String code;

    @ApiModelProperty(value = "批次名称")
    private String name;

    @ApiModelProperty(value = "批次标注，可用于多个考试批次归类")
    private String tag;

    @ApiModelProperty(value = "批次开始时间")
    private Long startTime;

    @ApiModelProperty(value = "批次结束时间")
    private Long endTime;
    
    @ApiModelProperty(value = "模式")
    private ExamModeEnum mode;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getTag() {
		return tag;
	}

	public void setTag(String tag) {
		this.tag = tag;
	}

	public Long getStartTime() {
		return startTime;
	}

	public void setStartTime(Long startTime) {
		this.startTime = startTime;
	}

	public Long getEndTime() {
		return endTime;
	}

	public void setEndTime(Long endTime) {
		this.endTime = endTime;
	}

	public ExamModeEnum getMode() {
		return mode;
	}

	public void setMode(ExamModeEnum mode) {
		this.mode = mode;
	}
    
    
    
}
